# このファイルは, yaml の書式に従う.
# 記入する必要があるのは下の 4 種類.
#   file_cgi   : 生成する cgi (ruby) ファイル名
#                このファイルが html から呼ばれる
#   variables  : 描画する変数/図の情報
#   parameters : パラメータ実験で振るパラメータ
#   figs       : パラメータ実験から得られた図の格納ディレクトリとファイル名


#   file_cgi: <cgi_file_name>
#     スクリプトが生成する cgi 用 ruby スクリプトの名前の指定.

file_cgi: "Earth_SO_v8.cgi"

#   variables:
#     <var1> : <var1_long_name>
#     <var2> : <var2_long_name>
#     ...
#     <varN> : <varN_long_name>

variables:
  ty_SurfTemp           : "[時間-緯度] 1 年平均東西平均 惑星表面温度"
  ty_SurfAlbedo         : "[時間-緯度] 1 年平均東西平均 惑星表面アルベド"
  ty_Rain               : "[時間-緯度] 1 年平均東西平均 降水量"
  ty_Snow               : "[時間-緯度] 1 年平均東西平均 降雪量"
  ty_PRCP               : "[時間-緯度] 1 年平均東西平均 降水量＋降雪量"
  xy_SurfTemp           : "[経度-緯度] 1 年平均 惑星表面温度"
  xy_SurfAlbedo         : "[経度-緯度] 1 年平均 惑星表面アルベド"
  xy_Rain               : "[経度-緯度] 1 年平均 降水量"
  xy_Snow               : "[経度-緯度] 1 年平均 降雪量"
  xy_PRCP               : "[経度-緯度] 1 年平均 降水量＋降雪量"
  xy_QH2OLiq+QH2OSol    : "[経度-緯度] 1 年平均 雲水＋雲氷カラム密度"
  yplin_U               : "[緯度-圧力] 1 年平均東西平均 東西風"
  yplin_V               : "[緯度-圧力] 1 年平均東西平均 南北風"
  yplin_MSF             : "[緯度-圧力] 1 年平均 質量流線関数"
  yplin_Temp            : "[緯度-圧力] 1 年平均東西平均 温度"
  yplin_QH2OVap         : "[緯度-圧力] 1 年平均東西平均 比湿"
  yplin_QH2OLiq         : "[緯度-圧力] 1 年平均東西平均 雲水混合比"
  yplin_QH2OSol         : "[緯度-圧力] 1 年平均東西平均 雲氷混合比"
  yplin_QH2OLiq+QH2OSol : "[緯度-圧力] 1 年平均東西平均 雲水＋雲氷混合比"

#   parameters:
#     <param1> :
#       long_name    : <param1_long_name>
#       values       : [<param1_val1>, <param1_val2>, ... ]
#       default      : <param1_default_val>
#       unit         : <unit>
#       label_format : <format_string>
#     <param2> :
#       ...
#
#   values はパラメータの取りうる値. パラメータと言っても文字列でもよい(はず).
#   default で指定した値がvalues[..] で指定した値の中のデフォルト値となる.
#   default は指定しなくても良い.
#   <format_string> は ruby の書式指定方法に従い, values の値がこの書式に
#   従って文字となり図が置かれたディレクトリの名前に使われる.

parameters:
  Obl : 
    long_name    : "自転軸傾斜角"
    values       : [0.0, 23.4, 30.0, 40.0, 50.0, 60.0, 90.0]
    default      : 23.4
    unit         : "&deg"
    label_format : "%04.1f"
  Radius : 
    long_name    : "惑星半径"
    values       : [3186, 4247, 6371]
    default      : 6371
    unit         : "km"
    label_format : "%05d"
  RotPeriod :
    long_name    : "自転周期"
#    values       : [1.00, 2.98, 9.73, 27.69, 90.00, 360.0]
#    values       : [1.00, 3, 9.73, 10, 27.69, 30, 90.00, 360.0]
    values       : [1, 3, 9.73, 27.69, 90, 360]
    default      : 1
    unit         : "地球日"
    label_format : "%06.2f"
  Ps : 
    long_name    : "平均地表面気圧"
    values       : [49965, 66688, 100000]
    default      : 100000
    unit         : "Pa"
    label_format : "%06d"

#   figs: 
#     dir_prefix  : <dir_prefix>
#     file_prefix : <file_prefix>
#     file_ext    : <file_ext>
#
#   上記の指定によって, 各実験の図は下のディレクトリに存在すると仮定される.
#     <dir_prefix><param1><param1val1>_<param2><param2val1>_...
#     <dir_prefix><param1><param1val2>_<param2><param2val1>_...
#     ...
#     <dir_prefix><param1><param1val1>_<param2><param2val2>_...
#     <dir_prefix><param1><param1val1>_<param2><param2val3>_...
#     ...
#
#   そしてそれぞれのディレクトリ内に下のような図のファイルの存在が仮定される.
#     <file_prefix>_<var1>.<file_ext>
#     <file_prefix>_<var2>.<file_ext>
#     ...

figs: 
  dir_prefix  : "figs/Earth_SO_LO_NoSI_NoO3_LandAlb0.2_Yr360d_CircOrb_T021L26_"
  file_prefix : "fig_"
  file_ext    : "png"


# 下は指定しなくても良い

html_titletxt : "Parameter experiments"
#fig_width     : 250
flag_dirlink  : true
flag_show_info : true
#flag_debug    : true
